unit schInventarioServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schInventarioClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InventarioDelta = '{1EB22602-1C4D-48A2-8C42-A2C310937FCF}';
  RID_DetalleReservasDelta = '{1334ABD7-C1C7-400F-961C-2E85AF1B4C3D}';

type
  { IInventarioDelta }
  IInventarioDelta = interface(IInventario)
  ['{1EB22602-1C4D-48A2-8C42-A2C310937FCF}']
    { Property getters and setters }
    function GetOldID_ALMACENValue : Integer;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldALMACENValue : String;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFAMILIAValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldREFERENCIA_PROVEEDORValue : String;
    function GetOldPRECIO_NETOValue : Currency;
    function GetOldSTOCKValue : Float;
    function GetOldUNIDADES_ALMACENValue : Float;
    function GetOldCOSTE_UNIDADESValue : Currency;
    function GetOldRESERVAValue : Float;
    function GetOldPENDIENTE_RECEPCIONValue : Float;
    function GetOldIDValue : Integer;
    function GetOldCANTIDADValue : Float;
    function GetOldFECHA_MOVIMIENTOValue : DateTime;
    function GetOldCAUSAValue : String;
    function GetOldTIPOValue : String;

    { Properties }
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldALMACEN : String read GetOldALMACENValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldREFERENCIA_PROVEEDOR : String read GetOldREFERENCIA_PROVEEDORValue;
    property OldPRECIO_NETO : Currency read GetOldPRECIO_NETOValue;
    property OldSTOCK : Float read GetOldSTOCKValue;
    property OldUNIDADES_ALMACEN : Float read GetOldUNIDADES_ALMACENValue;
    property OldCOSTE_UNIDADES : Currency read GetOldCOSTE_UNIDADESValue;
    property OldRESERVA : Float read GetOldRESERVAValue;
    property OldPENDIENTE_RECEPCION : Float read GetOldPENDIENTE_RECEPCIONValue;
    property OldID : Integer read GetOldIDValue;
    property OldCANTIDAD : Float read GetOldCANTIDADValue;
    property OldFECHA_MOVIMIENTO : DateTime read GetOldFECHA_MOVIMIENTOValue;
    property OldCAUSA : String read GetOldCAUSAValue;
    property OldTIPO : String read GetOldTIPOValue;
  end;

  { TInventarioBusinessProcessorRules }
  TInventarioBusinessProcessorRules = class(TDABusinessProcessorRules, IInventario, IInventarioDelta)
  private
  protected
    { Property getters and setters }
    function GetID_ALMACENValue: Integer; virtual;
    function GetID_ALMACENIsNull: Boolean; virtual;
    function GetOldID_ALMACENValue: Integer; virtual;
    function GetOldID_ALMACENIsNull: Boolean; virtual;
    procedure SetID_ALMACENValue(const aValue: Integer); virtual;
    procedure SetID_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetID_ARTICULOIsNull: Boolean; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOIsNull: Boolean; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean); virtual;
    function GetALMACENValue: String; virtual;
    function GetALMACENIsNull: Boolean; virtual;
    function GetOldALMACENValue: String; virtual;
    function GetOldALMACENIsNull: Boolean; virtual;
    procedure SetALMACENValue(const aValue: String); virtual;
    procedure SetALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetFAMILIAIsNull: Boolean; virtual;
    function GetOldFAMILIAValue: String; virtual;
    function GetOldFAMILIAIsNull: Boolean; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    procedure SetFAMILIAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_PROVEEDORValue: String; virtual;
    function GetREFERENCIA_PROVEEDORIsNull: Boolean; virtual;
    function GetOldREFERENCIA_PROVEEDORValue: String; virtual;
    function GetOldREFERENCIA_PROVEEDORIsNull: Boolean; virtual;
    procedure SetREFERENCIA_PROVEEDORValue(const aValue: String); virtual;
    procedure SetREFERENCIA_PROVEEDORIsNull(const aValue: Boolean); virtual;
    function GetPRECIO_NETOValue: Currency; virtual;
    function GetPRECIO_NETOIsNull: Boolean; virtual;
    function GetOldPRECIO_NETOValue: Currency; virtual;
    function GetOldPRECIO_NETOIsNull: Boolean; virtual;
    procedure SetPRECIO_NETOValue(const aValue: Currency); virtual;
    procedure SetPRECIO_NETOIsNull(const aValue: Boolean); virtual;
    function GetSTOCKValue: Float; virtual;
    function GetSTOCKIsNull: Boolean; virtual;
    function GetOldSTOCKValue: Float; virtual;
    function GetOldSTOCKIsNull: Boolean; virtual;
    procedure SetSTOCKValue(const aValue: Float); virtual;
    procedure SetSTOCKIsNull(const aValue: Boolean); virtual;
    function GetUNIDADES_ALMACENValue: Float; virtual;
    function GetUNIDADES_ALMACENIsNull: Boolean; virtual;
    function GetOldUNIDADES_ALMACENValue: Float; virtual;
    function GetOldUNIDADES_ALMACENIsNull: Boolean; virtual;
    procedure SetUNIDADES_ALMACENValue(const aValue: Float); virtual;
    procedure SetUNIDADES_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetCOSTE_UNIDADESValue: Currency; virtual;
    function GetCOSTE_UNIDADESIsNull: Boolean; virtual;
    function GetOldCOSTE_UNIDADESValue: Currency; virtual;
    function GetOldCOSTE_UNIDADESIsNull: Boolean; virtual;
    procedure SetCOSTE_UNIDADESValue(const aValue: Currency); virtual;
    procedure SetCOSTE_UNIDADESIsNull(const aValue: Boolean); virtual;
    function GetRESERVAValue: Float; virtual;
    function GetRESERVAIsNull: Boolean; virtual;
    function GetOldRESERVAValue: Float; virtual;
    function GetOldRESERVAIsNull: Boolean; virtual;
    procedure SetRESERVAValue(const aValue: Float); virtual;
    procedure SetRESERVAIsNull(const aValue: Boolean); virtual;
    function GetPENDIENTE_RECEPCIONValue: Float; virtual;
    function GetPENDIENTE_RECEPCIONIsNull: Boolean; virtual;
    function GetOldPENDIENTE_RECEPCIONValue: Float; virtual;
    function GetOldPENDIENTE_RECEPCIONIsNull: Boolean; virtual;
    procedure SetPENDIENTE_RECEPCIONValue(const aValue: Float); virtual;
    procedure SetPENDIENTE_RECEPCIONIsNull(const aValue: Boolean); virtual;
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetCANTIDADValue: Float; virtual;
    function GetCANTIDADIsNull: Boolean; virtual;
    function GetOldCANTIDADValue: Float; virtual;
    function GetOldCANTIDADIsNull: Boolean; virtual;
    procedure SetCANTIDADValue(const aValue: Float); virtual;
    procedure SetCANTIDADIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MOVIMIENTOValue: DateTime; virtual;
    function GetFECHA_MOVIMIENTOIsNull: Boolean; virtual;
    function GetOldFECHA_MOVIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_MOVIMIENTOIsNull: Boolean; virtual;
    procedure SetFECHA_MOVIMIENTOValue(const aValue: DateTime); virtual;
    procedure SetFECHA_MOVIMIENTOIsNull(const aValue: Boolean); virtual;
    function GetCAUSAValue: String; virtual;
    function GetCAUSAIsNull: Boolean; virtual;
    function GetOldCAUSAValue: String; virtual;
    function GetOldCAUSAIsNull: Boolean; virtual;
    procedure SetCAUSAValue(const aValue: String); virtual;
    procedure SetCAUSAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    function GetTIPOIsNull: Boolean; virtual;
    function GetOldTIPOValue: String; virtual;
    function GetOldTIPOIsNull: Boolean; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID_ALMACEN : Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull : Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ALMACENIsNull : Boolean read GetOldID_ALMACENIsNull;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull : Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldID_ARTICULOIsNull : Boolean read GetOldID_ARTICULOIsNull;
    property ALMACEN : String read GetALMACENValue write SetALMACENValue;
    property ALMACENIsNull : Boolean read GetALMACENIsNull write SetALMACENIsNull;
    property OldALMACEN : String read GetOldALMACENValue;
    property OldALMACENIsNull : Boolean read GetOldALMACENIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull : Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldFAMILIAIsNull : Boolean read GetOldFAMILIAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property REFERENCIA_PROVEEDOR : String read GetREFERENCIA_PROVEEDORValue write SetREFERENCIA_PROVEEDORValue;
    property REFERENCIA_PROVEEDORIsNull : Boolean read GetREFERENCIA_PROVEEDORIsNull write SetREFERENCIA_PROVEEDORIsNull;
    property OldREFERENCIA_PROVEEDOR : String read GetOldREFERENCIA_PROVEEDORValue;
    property OldREFERENCIA_PROVEEDORIsNull : Boolean read GetOldREFERENCIA_PROVEEDORIsNull;
    property PRECIO_NETO : Currency read GetPRECIO_NETOValue write SetPRECIO_NETOValue;
    property PRECIO_NETOIsNull : Boolean read GetPRECIO_NETOIsNull write SetPRECIO_NETOIsNull;
    property OldPRECIO_NETO : Currency read GetOldPRECIO_NETOValue;
    property OldPRECIO_NETOIsNull : Boolean read GetOldPRECIO_NETOIsNull;
    property STOCK : Float read GetSTOCKValue write SetSTOCKValue;
    property STOCKIsNull : Boolean read GetSTOCKIsNull write SetSTOCKIsNull;
    property OldSTOCK : Float read GetOldSTOCKValue;
    property OldSTOCKIsNull : Boolean read GetOldSTOCKIsNull;
    property UNIDADES_ALMACEN : Float read GetUNIDADES_ALMACENValue write SetUNIDADES_ALMACENValue;
    property UNIDADES_ALMACENIsNull : Boolean read GetUNIDADES_ALMACENIsNull write SetUNIDADES_ALMACENIsNull;
    property OldUNIDADES_ALMACEN : Float read GetOldUNIDADES_ALMACENValue;
    property OldUNIDADES_ALMACENIsNull : Boolean read GetOldUNIDADES_ALMACENIsNull;
    property COSTE_UNIDADES : Currency read GetCOSTE_UNIDADESValue write SetCOSTE_UNIDADESValue;
    property COSTE_UNIDADESIsNull : Boolean read GetCOSTE_UNIDADESIsNull write SetCOSTE_UNIDADESIsNull;
    property OldCOSTE_UNIDADES : Currency read GetOldCOSTE_UNIDADESValue;
    property OldCOSTE_UNIDADESIsNull : Boolean read GetOldCOSTE_UNIDADESIsNull;
    property RESERVA : Float read GetRESERVAValue write SetRESERVAValue;
    property RESERVAIsNull : Boolean read GetRESERVAIsNull write SetRESERVAIsNull;
    property OldRESERVA : Float read GetOldRESERVAValue;
    property OldRESERVAIsNull : Boolean read GetOldRESERVAIsNull;
    property PENDIENTE_RECEPCION : Float read GetPENDIENTE_RECEPCIONValue write SetPENDIENTE_RECEPCIONValue;
    property PENDIENTE_RECEPCIONIsNull : Boolean read GetPENDIENTE_RECEPCIONIsNull write SetPENDIENTE_RECEPCIONIsNull;
    property OldPENDIENTE_RECEPCION : Float read GetOldPENDIENTE_RECEPCIONValue;
    property OldPENDIENTE_RECEPCIONIsNull : Boolean read GetOldPENDIENTE_RECEPCIONIsNull;
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property CANTIDAD : Float read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull : Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property OldCANTIDAD : Float read GetOldCANTIDADValue;
    property OldCANTIDADIsNull : Boolean read GetOldCANTIDADIsNull;
    property FECHA_MOVIMIENTO : DateTime read GetFECHA_MOVIMIENTOValue write SetFECHA_MOVIMIENTOValue;
    property FECHA_MOVIMIENTOIsNull : Boolean read GetFECHA_MOVIMIENTOIsNull write SetFECHA_MOVIMIENTOIsNull;
    property OldFECHA_MOVIMIENTO : DateTime read GetOldFECHA_MOVIMIENTOValue;
    property OldFECHA_MOVIMIENTOIsNull : Boolean read GetOldFECHA_MOVIMIENTOIsNull;
    property CAUSA : String read GetCAUSAValue write SetCAUSAValue;
    property CAUSAIsNull : Boolean read GetCAUSAIsNull write SetCAUSAIsNull;
    property OldCAUSA : String read GetOldCAUSAValue;
    property OldCAUSAIsNull : Boolean read GetOldCAUSAIsNull;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull : Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property OldTIPO : String read GetOldTIPOValue;
    property OldTIPOIsNull : Boolean read GetOldTIPOIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IDetalleReservasDelta }
  IDetalleReservasDelta = interface(IDetalleReservas)
  ['{1334ABD7-C1C7-400F-961C-2E85AF1B4C3D}']
    { Property getters and setters }
    function GetOldID_ALBValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIA_ALBValue : String;
    function GetOldSITUACION_ALBValue : String;
    function GetOldFECHA_PREVISTA_ENVIO_ALBValue : DateTime;
    function GetOldID_ALMACEN_ALBValue : Integer;
    function GetOldALMACEN_ALBValue : String;
    function GetOldID_CLIENTE_ALBValue : Integer;
    function GetOldCLIENTE_ALBValue : String;
    function GetOldID_ARTValue : Integer;
    function GetOldFAMILIA_ARTValue : String;
    function GetOldREFERENCIA_ARTValue : String;
    function GetOldREFERENCIA_PROV_ARTValue : String;
    function GetOldDESCRIPCION_ARTValue : String;
    function GetOldCANTIDAD_ARTValue : Float;

    { Properties }
    property OldID_ALB : Integer read GetOldID_ALBValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA_ALB : String read GetOldREFERENCIA_ALBValue;
    property OldSITUACION_ALB : String read GetOldSITUACION_ALBValue;
    property OldFECHA_PREVISTA_ENVIO_ALB : DateTime read GetOldFECHA_PREVISTA_ENVIO_ALBValue;
    property OldID_ALMACEN_ALB : Integer read GetOldID_ALMACEN_ALBValue;
    property OldALMACEN_ALB : String read GetOldALMACEN_ALBValue;
    property OldID_CLIENTE_ALB : Integer read GetOldID_CLIENTE_ALBValue;
    property OldCLIENTE_ALB : String read GetOldCLIENTE_ALBValue;
    property OldID_ART : Integer read GetOldID_ARTValue;
    property OldFAMILIA_ART : String read GetOldFAMILIA_ARTValue;
    property OldREFERENCIA_ART : String read GetOldREFERENCIA_ARTValue;
    property OldREFERENCIA_PROV_ART : String read GetOldREFERENCIA_PROV_ARTValue;
    property OldDESCRIPCION_ART : String read GetOldDESCRIPCION_ARTValue;
    property OldCANTIDAD_ART : Float read GetOldCANTIDAD_ARTValue;
  end;

  { TDetalleReservasBusinessProcessorRules }
  TDetalleReservasBusinessProcessorRules = class(TDABusinessProcessorRules, IDetalleReservas, IDetalleReservasDelta)
  private
  protected
    { Property getters and setters }
    function GetID_ALBValue: Integer; virtual;
    function GetID_ALBIsNull: Boolean; virtual;
    function GetOldID_ALBValue: Integer; virtual;
    function GetOldID_ALBIsNull: Boolean; virtual;
    procedure SetID_ALBValue(const aValue: Integer); virtual;
    procedure SetID_ALBIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_ALBValue: String; virtual;
    function GetREFERENCIA_ALBIsNull: Boolean; virtual;
    function GetOldREFERENCIA_ALBValue: String; virtual;
    function GetOldREFERENCIA_ALBIsNull: Boolean; virtual;
    procedure SetREFERENCIA_ALBValue(const aValue: String); virtual;
    procedure SetREFERENCIA_ALBIsNull(const aValue: Boolean); virtual;
    function GetSITUACION_ALBValue: String; virtual;
    function GetSITUACION_ALBIsNull: Boolean; virtual;
    function GetOldSITUACION_ALBValue: String; virtual;
    function GetOldSITUACION_ALBIsNull: Boolean; virtual;
    procedure SetSITUACION_ALBValue(const aValue: String); virtual;
    procedure SetSITUACION_ALBIsNull(const aValue: Boolean); virtual;
    function GetFECHA_PREVISTA_ENVIO_ALBValue: DateTime; virtual;
    function GetFECHA_PREVISTA_ENVIO_ALBIsNull: Boolean; virtual;
    function GetOldFECHA_PREVISTA_ENVIO_ALBValue: DateTime; virtual;
    function GetOldFECHA_PREVISTA_ENVIO_ALBIsNull: Boolean; virtual;
    procedure SetFECHA_PREVISTA_ENVIO_ALBValue(const aValue: DateTime); virtual;
    procedure SetFECHA_PREVISTA_ENVIO_ALBIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACEN_ALBValue: Integer; virtual;
    function GetID_ALMACEN_ALBIsNull: Boolean; virtual;
    function GetOldID_ALMACEN_ALBValue: Integer; virtual;
    function GetOldID_ALMACEN_ALBIsNull: Boolean; virtual;
    procedure SetID_ALMACEN_ALBValue(const aValue: Integer); virtual;
    procedure SetID_ALMACEN_ALBIsNull(const aValue: Boolean); virtual;
    function GetALMACEN_ALBValue: String; virtual;
    function GetALMACEN_ALBIsNull: Boolean; virtual;
    function GetOldALMACEN_ALBValue: String; virtual;
    function GetOldALMACEN_ALBIsNull: Boolean; virtual;
    procedure SetALMACEN_ALBValue(const aValue: String); virtual;
    procedure SetALMACEN_ALBIsNull(const aValue: Boolean); virtual;
    function GetID_CLIENTE_ALBValue: Integer; virtual;
    function GetID_CLIENTE_ALBIsNull: Boolean; virtual;
    function GetOldID_CLIENTE_ALBValue: Integer; virtual;
    function GetOldID_CLIENTE_ALBIsNull: Boolean; virtual;
    procedure SetID_CLIENTE_ALBValue(const aValue: Integer); virtual;
    procedure SetID_CLIENTE_ALBIsNull(const aValue: Boolean); virtual;
    function GetCLIENTE_ALBValue: String; virtual;
    function GetCLIENTE_ALBIsNull: Boolean; virtual;
    function GetOldCLIENTE_ALBValue: String; virtual;
    function GetOldCLIENTE_ALBIsNull: Boolean; virtual;
    procedure SetCLIENTE_ALBValue(const aValue: String); virtual;
    procedure SetCLIENTE_ALBIsNull(const aValue: Boolean); virtual;
    function GetID_ARTValue: Integer; virtual;
    function GetID_ARTIsNull: Boolean; virtual;
    function GetOldID_ARTValue: Integer; virtual;
    function GetOldID_ARTIsNull: Boolean; virtual;
    procedure SetID_ARTValue(const aValue: Integer); virtual;
    procedure SetID_ARTIsNull(const aValue: Boolean); virtual;
    function GetFAMILIA_ARTValue: String; virtual;
    function GetFAMILIA_ARTIsNull: Boolean; virtual;
    function GetOldFAMILIA_ARTValue: String; virtual;
    function GetOldFAMILIA_ARTIsNull: Boolean; virtual;
    procedure SetFAMILIA_ARTValue(const aValue: String); virtual;
    procedure SetFAMILIA_ARTIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_ARTValue: String; virtual;
    function GetREFERENCIA_ARTIsNull: Boolean; virtual;
    function GetOldREFERENCIA_ARTValue: String; virtual;
    function GetOldREFERENCIA_ARTIsNull: Boolean; virtual;
    procedure SetREFERENCIA_ARTValue(const aValue: String); virtual;
    procedure SetREFERENCIA_ARTIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_PROV_ARTValue: String; virtual;
    function GetREFERENCIA_PROV_ARTIsNull: Boolean; virtual;
    function GetOldREFERENCIA_PROV_ARTValue: String; virtual;
    function GetOldREFERENCIA_PROV_ARTIsNull: Boolean; virtual;
    procedure SetREFERENCIA_PROV_ARTValue(const aValue: String); virtual;
    procedure SetREFERENCIA_PROV_ARTIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCION_ARTValue: String; virtual;
    function GetDESCRIPCION_ARTIsNull: Boolean; virtual;
    function GetOldDESCRIPCION_ARTValue: String; virtual;
    function GetOldDESCRIPCION_ARTIsNull: Boolean; virtual;
    procedure SetDESCRIPCION_ARTValue(const aValue: String); virtual;
    procedure SetDESCRIPCION_ARTIsNull(const aValue: Boolean); virtual;
    function GetCANTIDAD_ARTValue: Float; virtual;
    function GetCANTIDAD_ARTIsNull: Boolean; virtual;
    function GetOldCANTIDAD_ARTValue: Float; virtual;
    function GetOldCANTIDAD_ARTIsNull: Boolean; virtual;
    procedure SetCANTIDAD_ARTValue(const aValue: Float); virtual;
    procedure SetCANTIDAD_ARTIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID_ALB : Integer read GetID_ALBValue write SetID_ALBValue;
    property ID_ALBIsNull : Boolean read GetID_ALBIsNull write SetID_ALBIsNull;
    property OldID_ALB : Integer read GetOldID_ALBValue;
    property OldID_ALBIsNull : Boolean read GetOldID_ALBIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA_ALB : String read GetREFERENCIA_ALBValue write SetREFERENCIA_ALBValue;
    property REFERENCIA_ALBIsNull : Boolean read GetREFERENCIA_ALBIsNull write SetREFERENCIA_ALBIsNull;
    property OldREFERENCIA_ALB : String read GetOldREFERENCIA_ALBValue;
    property OldREFERENCIA_ALBIsNull : Boolean read GetOldREFERENCIA_ALBIsNull;
    property SITUACION_ALB : String read GetSITUACION_ALBValue write SetSITUACION_ALBValue;
    property SITUACION_ALBIsNull : Boolean read GetSITUACION_ALBIsNull write SetSITUACION_ALBIsNull;
    property OldSITUACION_ALB : String read GetOldSITUACION_ALBValue;
    property OldSITUACION_ALBIsNull : Boolean read GetOldSITUACION_ALBIsNull;
    property FECHA_PREVISTA_ENVIO_ALB : DateTime read GetFECHA_PREVISTA_ENVIO_ALBValue write SetFECHA_PREVISTA_ENVIO_ALBValue;
    property FECHA_PREVISTA_ENVIO_ALBIsNull : Boolean read GetFECHA_PREVISTA_ENVIO_ALBIsNull write SetFECHA_PREVISTA_ENVIO_ALBIsNull;
    property OldFECHA_PREVISTA_ENVIO_ALB : DateTime read GetOldFECHA_PREVISTA_ENVIO_ALBValue;
    property OldFECHA_PREVISTA_ENVIO_ALBIsNull : Boolean read GetOldFECHA_PREVISTA_ENVIO_ALBIsNull;
    property ID_ALMACEN_ALB : Integer read GetID_ALMACEN_ALBValue write SetID_ALMACEN_ALBValue;
    property ID_ALMACEN_ALBIsNull : Boolean read GetID_ALMACEN_ALBIsNull write SetID_ALMACEN_ALBIsNull;
    property OldID_ALMACEN_ALB : Integer read GetOldID_ALMACEN_ALBValue;
    property OldID_ALMACEN_ALBIsNull : Boolean read GetOldID_ALMACEN_ALBIsNull;
    property ALMACEN_ALB : String read GetALMACEN_ALBValue write SetALMACEN_ALBValue;
    property ALMACEN_ALBIsNull : Boolean read GetALMACEN_ALBIsNull write SetALMACEN_ALBIsNull;
    property OldALMACEN_ALB : String read GetOldALMACEN_ALBValue;
    property OldALMACEN_ALBIsNull : Boolean read GetOldALMACEN_ALBIsNull;
    property ID_CLIENTE_ALB : Integer read GetID_CLIENTE_ALBValue write SetID_CLIENTE_ALBValue;
    property ID_CLIENTE_ALBIsNull : Boolean read GetID_CLIENTE_ALBIsNull write SetID_CLIENTE_ALBIsNull;
    property OldID_CLIENTE_ALB : Integer read GetOldID_CLIENTE_ALBValue;
    property OldID_CLIENTE_ALBIsNull : Boolean read GetOldID_CLIENTE_ALBIsNull;
    property CLIENTE_ALB : String read GetCLIENTE_ALBValue write SetCLIENTE_ALBValue;
    property CLIENTE_ALBIsNull : Boolean read GetCLIENTE_ALBIsNull write SetCLIENTE_ALBIsNull;
    property OldCLIENTE_ALB : String read GetOldCLIENTE_ALBValue;
    property OldCLIENTE_ALBIsNull : Boolean read GetOldCLIENTE_ALBIsNull;
    property ID_ART : Integer read GetID_ARTValue write SetID_ARTValue;
    property ID_ARTIsNull : Boolean read GetID_ARTIsNull write SetID_ARTIsNull;
    property OldID_ART : Integer read GetOldID_ARTValue;
    property OldID_ARTIsNull : Boolean read GetOldID_ARTIsNull;
    property FAMILIA_ART : String read GetFAMILIA_ARTValue write SetFAMILIA_ARTValue;
    property FAMILIA_ARTIsNull : Boolean read GetFAMILIA_ARTIsNull write SetFAMILIA_ARTIsNull;
    property OldFAMILIA_ART : String read GetOldFAMILIA_ARTValue;
    property OldFAMILIA_ARTIsNull : Boolean read GetOldFAMILIA_ARTIsNull;
    property REFERENCIA_ART : String read GetREFERENCIA_ARTValue write SetREFERENCIA_ARTValue;
    property REFERENCIA_ARTIsNull : Boolean read GetREFERENCIA_ARTIsNull write SetREFERENCIA_ARTIsNull;
    property OldREFERENCIA_ART : String read GetOldREFERENCIA_ARTValue;
    property OldREFERENCIA_ARTIsNull : Boolean read GetOldREFERENCIA_ARTIsNull;
    property REFERENCIA_PROV_ART : String read GetREFERENCIA_PROV_ARTValue write SetREFERENCIA_PROV_ARTValue;
    property REFERENCIA_PROV_ARTIsNull : Boolean read GetREFERENCIA_PROV_ARTIsNull write SetREFERENCIA_PROV_ARTIsNull;
    property OldREFERENCIA_PROV_ART : String read GetOldREFERENCIA_PROV_ARTValue;
    property OldREFERENCIA_PROV_ARTIsNull : Boolean read GetOldREFERENCIA_PROV_ARTIsNull;
    property DESCRIPCION_ART : String read GetDESCRIPCION_ARTValue write SetDESCRIPCION_ARTValue;
    property DESCRIPCION_ARTIsNull : Boolean read GetDESCRIPCION_ARTIsNull write SetDESCRIPCION_ARTIsNull;
    property OldDESCRIPCION_ART : String read GetOldDESCRIPCION_ARTValue;
    property OldDESCRIPCION_ARTIsNull : Boolean read GetOldDESCRIPCION_ARTIsNull;
    property CANTIDAD_ART : Float read GetCANTIDAD_ARTValue write SetCANTIDAD_ARTValue;
    property CANTIDAD_ARTIsNull : Boolean read GetCANTIDAD_ARTIsNull write SetCANTIDAD_ARTIsNull;
    property OldCANTIDAD_ART : Float read GetOldCANTIDAD_ARTValue;
    property OldCANTIDAD_ARTIsNull : Boolean read GetOldCANTIDAD_ARTIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TInventarioBusinessProcessorRules }
constructor TInventarioBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInventarioBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInventarioBusinessProcessorRules.GetID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACENValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO];
end;

function TInventarioBusinessProcessorRules.GetID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO]);
end;

function TInventarioBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ARTICULO];
end;

function TInventarioBusinessProcessorRules.GetOldID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_ARTICULO]);
end;

procedure TInventarioBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_ARTICULOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_ARTICULO] := Null;
end;

function TInventarioBusinessProcessorRules.GetALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN];
end;

function TInventarioBusinessProcessorRules.GetALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetALMACENValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA];
end;

function TInventarioBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA]);
end;

function TInventarioBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_EMPRESA];
end;

function TInventarioBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID_EMPRESA]);
end;

procedure TInventarioBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID_EMPRESA] := Null;
end;

function TInventarioBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA];
end;

function TInventarioBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA]);
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA];
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA]);
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA] := Null;
end;

function TInventarioBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA];
end;

function TInventarioBusinessProcessorRules.GetFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA]);
end;

function TInventarioBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFAMILIA];
end;

function TInventarioBusinessProcessorRules.GetOldFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFAMILIA]);
end;

procedure TInventarioBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetFAMILIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFAMILIA] := Null;
end;

function TInventarioBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION];
end;

function TInventarioBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION]);
end;

function TInventarioBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioDESCRIPCION];
end;

function TInventarioBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioDESCRIPCION]);
end;

procedure TInventarioBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioDESCRIPCION] := Null;
end;

function TInventarioBusinessProcessorRules.GetREFERENCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR];
end;

function TInventarioBusinessProcessorRules.GetREFERENCIA_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR]);
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIA_PROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA_PROVEEDOR];
end;

function TInventarioBusinessProcessorRules.GetOldREFERENCIA_PROVEEDORIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioREFERENCIA_PROVEEDOR]);
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIA_PROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetREFERENCIA_PROVEEDORIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioREFERENCIA_PROVEEDOR] := Null;
end;

function TInventarioBusinessProcessorRules.GetPRECIO_NETOValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO];
end;

function TInventarioBusinessProcessorRules.GetPRECIO_NETOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO]);
end;

function TInventarioBusinessProcessorRules.GetOldPRECIO_NETOValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPRECIO_NETO];
end;

function TInventarioBusinessProcessorRules.GetOldPRECIO_NETOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPRECIO_NETO]);
end;

procedure TInventarioBusinessProcessorRules.SetPRECIO_NETOValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetPRECIO_NETOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPRECIO_NETO] := Null;
end;

function TInventarioBusinessProcessorRules.GetSTOCKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK];
end;

function TInventarioBusinessProcessorRules.GetSTOCKIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK]);
end;

function TInventarioBusinessProcessorRules.GetOldSTOCKValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioSTOCK];
end;

function TInventarioBusinessProcessorRules.GetOldSTOCKIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioSTOCK]);
end;

procedure TInventarioBusinessProcessorRules.SetSTOCKValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetSTOCKIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioSTOCK] := Null;
end;

function TInventarioBusinessProcessorRules.GetUNIDADES_ALMACENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetUNIDADES_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN]);
end;

function TInventarioBusinessProcessorRules.GetOldUNIDADES_ALMACENValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDADES_ALMACEN];
end;

function TInventarioBusinessProcessorRules.GetOldUNIDADES_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioUNIDADES_ALMACEN]);
end;

procedure TInventarioBusinessProcessorRules.SetUNIDADES_ALMACENValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetUNIDADES_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioUNIDADES_ALMACEN] := Null;
end;

function TInventarioBusinessProcessorRules.GetCOSTE_UNIDADESValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES];
end;

function TInventarioBusinessProcessorRules.GetCOSTE_UNIDADESIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES]);
end;

function TInventarioBusinessProcessorRules.GetOldCOSTE_UNIDADESValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCOSTE_UNIDADES];
end;

function TInventarioBusinessProcessorRules.GetOldCOSTE_UNIDADESIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCOSTE_UNIDADES]);
end;

procedure TInventarioBusinessProcessorRules.SetCOSTE_UNIDADESValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCOSTE_UNIDADESIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCOSTE_UNIDADES] := Null;
end;

function TInventarioBusinessProcessorRules.GetRESERVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA];
end;

function TInventarioBusinessProcessorRules.GetRESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA]);
end;

function TInventarioBusinessProcessorRules.GetOldRESERVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioRESERVA];
end;

function TInventarioBusinessProcessorRules.GetOldRESERVAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioRESERVA]);
end;

procedure TInventarioBusinessProcessorRules.SetRESERVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetRESERVAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioRESERVA] := Null;
end;

function TInventarioBusinessProcessorRules.GetPENDIENTE_RECEPCIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION];
end;

function TInventarioBusinessProcessorRules.GetPENDIENTE_RECEPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION]);
end;

function TInventarioBusinessProcessorRules.GetOldPENDIENTE_RECEPCIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPENDIENTE_RECEPCION];
end;

function TInventarioBusinessProcessorRules.GetOldPENDIENTE_RECEPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioPENDIENTE_RECEPCION]);
end;

procedure TInventarioBusinessProcessorRules.SetPENDIENTE_RECEPCIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetPENDIENTE_RECEPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioPENDIENTE_RECEPCION] := Null;
end;

function TInventarioBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID];
end;

function TInventarioBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID]);
end;

function TInventarioBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID];
end;

function TInventarioBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioID]);
end;

procedure TInventarioBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioID] := Null;
end;

function TInventarioBusinessProcessorRules.GetCANTIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD];
end;

function TInventarioBusinessProcessorRules.GetCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD]);
end;

function TInventarioBusinessProcessorRules.GetOldCANTIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCANTIDAD];
end;

function TInventarioBusinessProcessorRules.GetOldCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCANTIDAD]);
end;

procedure TInventarioBusinessProcessorRules.SetCANTIDADValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCANTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCANTIDAD] := Null;
end;

function TInventarioBusinessProcessorRules.GetFECHA_MOVIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO];
end;

function TInventarioBusinessProcessorRules.GetFECHA_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO]);
end;

function TInventarioBusinessProcessorRules.GetOldFECHA_MOVIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFECHA_MOVIMIENTO];
end;

function TInventarioBusinessProcessorRules.GetOldFECHA_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioFECHA_MOVIMIENTO]);
end;

procedure TInventarioBusinessProcessorRules.SetFECHA_MOVIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetFECHA_MOVIMIENTOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioFECHA_MOVIMIENTO] := Null;
end;

function TInventarioBusinessProcessorRules.GetCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA];
end;

function TInventarioBusinessProcessorRules.GetCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA]);
end;

function TInventarioBusinessProcessorRules.GetOldCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCAUSA];
end;

function TInventarioBusinessProcessorRules.GetOldCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioCAUSA]);
end;

procedure TInventarioBusinessProcessorRules.SetCAUSAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetCAUSAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioCAUSA] := Null;
end;

function TInventarioBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO];
end;

function TInventarioBusinessProcessorRules.GetTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO]);
end;

function TInventarioBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO];
end;

function TInventarioBusinessProcessorRules.GetOldTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_InventarioTIPO]);
end;

procedure TInventarioBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO] := aValue;
end;

procedure TInventarioBusinessProcessorRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_InventarioTIPO] := Null;
end;


{ TDetalleReservasBusinessProcessorRules }
constructor TDetalleReservasBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TDetalleReservasBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALBValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA];
end;

function TDetalleReservasBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_EMPRESA]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_EMPRESA] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_ALBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetSITUACION_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasSITUACION_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetSITUACION_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasSITUACION_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldSITUACION_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasSITUACION_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldSITUACION_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasSITUACION_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetSITUACION_ALBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasSITUACION_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetSITUACION_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasSITUACION_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetFECHA_PREVISTA_ENVIO_ALBValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetFECHA_PREVISTA_ENVIO_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldFECHA_PREVISTA_ENVIO_ALBValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldFECHA_PREVISTA_ENVIO_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetFECHA_PREVISTA_ENVIO_ALBValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetFECHA_PREVISTA_ENVIO_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFECHA_PREVISTA_ENVIO_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACEN_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ALMACEN_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACEN_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ALMACEN_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ALMACEN_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACEN_ALBValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ALMACEN_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ALMACEN_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetALMACEN_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasALMACEN_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetALMACEN_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasALMACEN_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldALMACEN_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasALMACEN_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldALMACEN_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasALMACEN_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetALMACEN_ALBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasALMACEN_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetALMACEN_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasALMACEN_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_CLIENTE_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_CLIENTE_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetID_CLIENTE_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_CLIENTE_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_CLIENTE_ALBValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_CLIENTE_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_CLIENTE_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_CLIENTE_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_CLIENTE_ALBValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_CLIENTE_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_CLIENTE_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_CLIENTE_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetCLIENTE_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCLIENTE_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetCLIENTE_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCLIENTE_ALB]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldCLIENTE_ALBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCLIENTE_ALB];
end;

function TDetalleReservasBusinessProcessorRules.GetOldCLIENTE_ALBIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCLIENTE_ALB]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetCLIENTE_ALBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCLIENTE_ALB] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetCLIENTE_ALBIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCLIENTE_ALB] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetID_ARTValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetID_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ARTValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldID_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasID_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ARTValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetID_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasID_ART] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetFAMILIA_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetFAMILIA_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldFAMILIA_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFAMILIA_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldFAMILIA_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasFAMILIA_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetFAMILIA_ARTValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetFAMILIA_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasFAMILIA_ART] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_ARTValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_ART] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_PROV_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_PROV_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetREFERENCIA_PROV_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_PROV_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_PROV_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_PROV_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldREFERENCIA_PROV_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasREFERENCIA_PROV_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_PROV_ARTValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_PROV_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetREFERENCIA_PROV_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasREFERENCIA_PROV_ART] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetDESCRIPCION_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetDESCRIPCION_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldDESCRIPCION_ARTValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasDESCRIPCION_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldDESCRIPCION_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasDESCRIPCION_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetDESCRIPCION_ARTValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetDESCRIPCION_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasDESCRIPCION_ART] := Null;
end;

function TDetalleReservasBusinessProcessorRules.GetCANTIDAD_ARTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetCANTIDAD_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD_ART]);
end;

function TDetalleReservasBusinessProcessorRules.GetOldCANTIDAD_ARTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCANTIDAD_ART];
end;

function TDetalleReservasBusinessProcessorRules.GetOldCANTIDAD_ARTIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_DetalleReservasCANTIDAD_ART]);
end;

procedure TDetalleReservasBusinessProcessorRules.SetCANTIDAD_ARTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD_ART] := aValue;
end;

procedure TDetalleReservasBusinessProcessorRules.SetCANTIDAD_ARTIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_DetalleReservasCANTIDAD_ART] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_InventarioDelta, TInventarioBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_DetalleReservasDelta, TDetalleReservasBusinessProcessorRules);

end.
